# Generating of signature key

The endpoint call does not require any body. The endpoint always
generates a new signature key

for calculating the digest mentioned in the HTTP header of the
notification – Shoptet-Webhook-Signature. The same key

is to be used during check after the receipt of notification. For more
information see https://developers.shoptet.com/webhooks/#signature

Endpoint: POST /api/webhooks/renew-signature-key
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.signatureKey` (string, required)

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


